Package: java.util

## Interface SortedSet

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `SortedSet` | `asImmutable()` A convenience method for creating an immutable sorted set.
    `SortedSet` | `asSynchronized()` A convenience method for creating a synchronized SortedSet.
    `SortedSet` | `sort()` Avoids doing unnecessary work when sorting an already sorted set (i.e. an identity function for an already sorted set).

  - #### Methods inherited from interface java.util.Set

    `asImmutable`, `asSynchronized`, `equals`, `minus`, `minus`, `minus`

  - #### Methods inherited from interface java.util.Collection

    `addAll`, `asBoolean`, `asImmutable`, `asSynchronized`, `asType`, `collect`, `collect`, `collect`, `collectAll`, `collectAll`, `collectNested`, `containsAll`, `disjoint`, `eachPermutation`, `find`, `find`, `findAll`, `findAll`, `findResult`, `findResult`, `flatten`, `flatten`, `getAt`, `grep`, `grep`, `groupBy`, `inject`, `inject`, `intersect`, `isCase`, `leftShift`, `multiply`, `plus`, `plus`, `plus`, `removeAll`, `removeAll`, `retainAll`, `retainAll`, `sort`, `split`, `toList`, `toListString`, `toListString`, `toSet`, `unique`, `unique`, `unique`, `unique`, `unique`, `unique`

  - #### Methods inherited from interface java.lang.Iterable

    `any`, `asList`, `collectEntries`, `collectEntries`, `collectEntries`, `collectEntries`, `collectMany`, `collectMany`, `collectNested`, `collectNested`, `combinations`, `combinations`, `count`, `count`, `countBy`, `drop`, `dropWhile`, `each`, `eachCombination`, `eachWithIndex`, `every`, `findResults`, `first`, `flatten`, `flatten`, `getAt`, `groupBy`, `groupBy`, `groupBy`, `join`, `last`, `max`, `max`, `max`, `min`, `min`, `min`, `sort`, `sort`, `sort`, `sort`, `sort`, `sum`, `sum`, `sum`, `sum`, `take`, `takeWhile`, `toList`

- - ### Methods Detail

    - #### public SortedSet asImmutable()

      A convenience method for creating an immutable sorted set.

      Returns:
        an immutable SortedSet
      Since:
        1.0
      See Also:
        Collections#unmodifiableSortedSet(java.util.SortedSet)

    - #### public SortedSet asSynchronized()

      A convenience method for creating a synchronized SortedSet.

      Returns:
        a synchronized SortedSet
      Since:
        1.0
      See Also:
        Collections#synchronizedSortedSet(java.util.SortedSet)

    - #### public SortedSet sort()

      Avoids doing unnecessary work when sorting an already sorted set (i.e. an identity function for an already sorted set).

      Returns:
        the set
      Since:
        1.0